### Method

# FwupdPlugin Firmware get_images

since: 1.3.1

#### Declaration [src]

    GPtrArray*
    fu_firmware_get_images (
      FuFirmware* self
    )

#### Description [src]

Returns all the images in the firmware.

Available since: 1.3.1

#### Return value

Type: An array of `None`

Images.

The caller of the method takes ownership of the returned data container, but not the data inside it.